<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>CANFD_OptionTLV_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CANFD_OptionTLV_t Struct Reference<div class="ingroups"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r.html">CANFD Driver</a> &raquo; <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">CANFD Driver External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Options TLV data structure.  
 <a href="struct_c_a_n_f_d___option_t_l_v__t.html#details">More...</a></p>

<p><code>#include &lt;drivers/canfd/canfd.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a1a1d6085d6d32b499e022eeb63e43ffc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a1d6085d6d32b499e022eeb63e43ffc"></a>
<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacece8ed652a840d768fc08e9219b56ff">CANFD_Option</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___option_t_l_v__t.html#a1a1d6085d6d32b499e022eeb63e43ffc">type</a></td></tr>
<tr class="memdesc:a1a1d6085d6d32b499e022eeb63e43ffc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Option Name. <br /></td></tr>
<tr class="separator:a1a1d6085d6d32b499e022eeb63e43ffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a968343de1e40ba8cb1ee6571dc90d4f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a968343de1e40ba8cb1ee6571dc90d4f4"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___option_t_l_v__t.html#a968343de1e40ba8cb1ee6571dc90d4f4">length</a></td></tr>
<tr class="memdesc:a968343de1e40ba8cb1ee6571dc90d4f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Option Length. <br /></td></tr>
<tr class="separator:a968343de1e40ba8cb1ee6571dc90d4f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fe4a7449aeec2044d2389aeb4daede4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0fe4a7449aeec2044d2389aeb4daede4"></a>
void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___option_t_l_v__t.html#a0fe4a7449aeec2044d2389aeb4daede4">value</a></td></tr>
<tr class="memdesc:a0fe4a7449aeec2044d2389aeb4daede4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Option Value. <br /></td></tr>
<tr class="separator:a0fe4a7449aeec2044d2389aeb4daede4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Options TLV data structure. </p>
<p>Specifies the option type, length, value. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/canfd/<a class="el" href="canfd_8h.html">canfd.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
